org.springframework.data.relational.core.conversion

## Class DbAction.DeleteAll<T>

- java.lang.Object
- - org.springframework.data.relational.core.conversion.DbAction.DeleteAll<T>

Type Parameters:
  `T` - type of the entity for which this represents a database interaction.

All Implemented Interfaces:
  DbAction<T>, DbAction.WithPropertyPath<T>

Enclosing interface:
  DbAction<T>

    public static final class DbAction.DeleteAll<T>
    extends Object
    implements DbAction.WithPropertyPath<T>

Represents an delete statement for all entities that that a reachable via a give path from any aggregate root of a given type.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.springframework.data.relational.core.conversion.DbAction

`DbAction.AcquireLockAllRoot<T>, DbAction.AcquireLockRoot<T>, DbAction.Delete<T>, DbAction.DeleteAll<T>, DbAction.DeleteAllRoot<T>, DbAction.DeleteRoot<T>, DbAction.Insert<T>, DbAction.InsertRoot<T>, DbAction.Merge<T>, DbAction.Update<T>, DbAction.UpdateRoot<T>, DbAction.WithDependingOn<T>, DbAction.WithEntity<T>, DbAction.WithGeneratedId<T>, DbAction.WithPropertyPath<T>`

### Constructor Summary

Constructors
Constructor and Description
`DeleteAll(PersistentPropertyPath<RelationalPersistentProperty> propertyPath)`

### Method Summary

All Methods Instance Methods Concrete Methods
`PersistentPropertyPath<RelationalPersistentProperty>` `getPropertyPath()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.springframework.data.relational.core.conversion.DbAction.WithPropertyPath

`getEntityType`

### Constructor Detail

#### DeleteAll

    public DeleteAll(PersistentPropertyPath<RelationalPersistentProperty> propertyPath)

### Method Detail

#### getPropertyPath

    public PersistentPropertyPath<RelationalPersistentProperty> getPropertyPath()

Specified by:
  `getPropertyPath` in interface `DbAction.WithPropertyPath<T>`
Returns:
  the path from the aggregate root to the affected entity

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`